javax.xml.rpc.handler

## Interface HandlerRegistry

- All Superinterfaces:
    Serializable

      public interface HandlerRegistry
      extends Serializable

  The `javax.xml.rpc.handler.HandlerRegistry` provides support for the programmatic configuration of handlers in a `HandlerRegistry`.

  A handler chain is registered per service endpoint, as indicated by the qualified name of a port. The getHandlerChain returns the handler chain (as a java.util.List) for the specified service endpoint. The returned handler chain is configured using the java.util.List interface. Each element in this list is required to be of the Java type `javax.xml.rpc.handler.HandlerInfo`.

  Version:
    1.0
  Author:
    Rahul Sharma
  See Also:
    `Service`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `List` | `getHandlerChain(QName portName)` Gets the handler chain for the specified service endpoint.
    `void` | `setHandlerChain(QName portName, List chain)` Sets the handler chain for the specified service endpoint as a `java.util.List`.

- - ### Method Detail

    - #### getHandlerChain

          List getHandlerChain(QName portName)

      Gets the handler chain for the specified service endpoint. The returned `List` is used to configure this specific handler chain in this `HandlerRegistry`. Each element in this list is required to be of the Java type `javax.xml.rpc.handler.HandlerInfo`.
      Parameters:
        `portName` - Qualified name of the target service endpoint
      Returns:
        java.util.List Handler chain
      Throws:
        `IllegalArgumentException` - If an invalid `portName` is specified

    - #### setHandlerChain

          void setHandlerChain(QName portName,
                             List chain)

      Sets the handler chain for the specified service endpoint as a `java.util.List`. Each element in this list is required to be of the Java type `javax.xml.rpc.handler.HandlerInfo`.
      Parameters:
        `portName` - Qualified name of the target service endpoint
        `chain` - A List representing configuration for the handler chain
      Throws:
        `JAXRPCException` - If any error in the configuration of the handler chain
        `UnsupportedOperationException` - If this set operation is not supported. This is done to avoid any overriding of a pre-configured handler chain.
        `IllegalArgumentException` - If an invalid `portName` is specified

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.